#!/usr/bin/env -S gnuplot -c
outputfile = 'confs' # Nom de la imatge resultant (sense extensió)
datafilepost = '.conf'
TS = ARG1
L = ARG2

do for [IDX = 0:1] {
  if (IDX == 0) {
    set terminal cairolatex size 8.5cm, 13cm
    set output outputfile.'.tex'
    symbsize=0.18
  } else {
    set terminal svg dashed size 600, 1000 font "Computer Modern,Tinos,Helvetica,15"
    set output outputfile.'.svg'
    symbsize=0.3
  }

  set multiplot layout 3,2

  do for [T in TS] {
    set title "T = " . T
    set size square
    set xrange [0:L+1]
    set yrange [0:L+1]
    unset xtics
    unset ytics
    plot T . datafilepost using 1:2 with points pt 5 ps symbsize notitle
  }

  unset multiplot
}
